#!/bin/sh

mkdir -p dir/
[[ -e dir/slapd.pid ]] && kill $(cat dir/slapd.pid)
rm -rf dir/*                    # clean temp file + ldap database

# Start slapd daemon
/usr/local/libexec/slapd -h "ldap://localhost:10389" -f slapd.conf

# Populate base
ldapadd -H ldap://localhost:10389 -D "cn=jimbob,dc=example,dc=com" -w dirtysecret -f init.ldif
ldapadd -H "ldap://localhost:10389/" -D "cn=admin,cn=config" -w config -f ldapPublicKey.ldif

echo "LDAP is running, stop it with: kill `cat dir/slapd.pid`"
